Bug Hunting Session
Bug 112089 - PPTX with chart and animation opens with repair in PowerPoint after roundtrip
Summary: PPTX with chart and animation opens with repair in PowerPoint after roundtrip
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.0.0
Keywords: filter:pptx
Depends on:
Blocks: PPTX-Corrupted
  Show dependency treegraph
 
Reported: 2017-08-29 15:55 UTC by Aron Budea
Modified: 2017-09-25 07:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample PPTX (45.58 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2017-08-29 15:55 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-08-29 15:55:59 UTC
Created attachment 135851 [details]
Sample PPTX

The attached presentation contains a chart, and an animation is set for it.
Save it as a new PPTX in Impress. The resulting file is corrupted, and opens with repair in PowerPoint.

The animation is already not imported for the chart, but it's not simply missing, the saved file is also invalid.

Observed using LO 6.0 daily build (2017-08-27_23:19:54, 9600f5179795380749aa5a7c9fa0bf5387d2b95f), 4.0.0.3 / Windows 7.
Comment 1 Xisco Faulí 2017-08-31 23:03:08 UTC
Using Open XML SDK 2.5 I get this error: ShapeTarget - The attribute
'spid' has invalid value '-1'. The string '-1' is not a valid 'UInt32' value,
which is the same as in bug 104788
Comment 2 Commit Notification 2017-09-23 15:44:07 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0a61832965aff202d72a2bf51556c5c6b6d594b

tdf#112089 add charts to the ShapeMap

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.